<?php
/**
 * Model object generated by: Skipper (http://www.skipper18.com)
 * Do not modify this file manually.
 */

namespace App\AbstractModels;

use Illuminate\Database\Eloquent\Model;

abstract class AbstractAlphaNumericResult2 extends Model
{
    /**
     * Primary key name.
     *
     * @var string
     */
    public $primaryKey = 'result_id';

    /**
     * Primary key type.
     *
     * @var string
     */
    protected $keyType = 'bigInteger';

    /**
     * Primary key is non-autoincrementing.
     *
     * @var bool
     */
    public $incrementing = false;

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'created_at' => 'datetime',
        'updated_at' => 'datetime',
        'result_id' => 'integer'
    ];
    public function demand()
    {
        return $this->belongsTo('\App\Demand', 'demand_id');
    }
}
